﻿/*
Copyright 2015 Bennett Adelson Consulting

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

using Newtonsoft.Json;

namespace PhotoGallery.Common
{
    public class JsonUtility
    {
        public static string ToJson(object obj)
        {
            var json = JsonConvert.SerializeObject(obj);
            return json;
        }
        public static string ToJsonPretty(object obj)
        {
            var json = JsonConvert.SerializeObject(obj, Formatting.Indented);
            return json;
        }
    }
}
